ChangeSet 1.1110.2.1, 2003/04/18 16:11:42-07:00, david-b@pacbell.net

[PATCH] USB: fix for deadlock in v2.5.67

The patch below should resolve the keyboard problem -- just reorders two
lines so the lock isn't held after the device's records get deleted, so
the order is what it should always have been.


 drivers/usb/core/hcd.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/core/hcd.c b/drivers/usb/core/hcd.c
--- a/drivers/usb/core/hcd.c	Thu Apr 24 16:29:16 2003
+++ b/drivers/usb/core/hcd.c	Thu Apr 24 16:29:16 2003
@@ -961,8 +961,8 @@
 	spin_lock_irqsave (&hcd_data_lock, flags);
 	list_del_init (&urb->urb_list);
 	dev = urb->dev;
-	usb_put_dev (dev);
 	spin_unlock_irqrestore (&hcd_data_lock, flags);
+	usb_put_dev (dev);
 }
 
 
